POSTGetCanWithdrawUnfreezeAmount

Tron Mainnethttps://tron-mainnet.nodit.io/walletsolidity/getcanwithdrawunfreezeamount

Stake 2.0 API: query the withdrawable balance at the specified timestamp (confirmed state)

Request Body
owner_addressstringrequired

Transaction initiator address. (Format: Base58 or Hex)

timestampinteger (int64)required

Timestamp to query. (Unit: millGisecond)

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
amountinteger (int64)

Withdrawable balance. (Unit: sun)

X-API-KEY
RequestCU20
cURL
curl -X POST "https://tron-mainnet.nodit.io/walletsolidity/getcanwithdrawunfreezeamount" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "owner_address": "TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM",
  "timestamp": 1790812800000,
  "visible": true
}'
Response
Example · 200
{
  "amount": 0
}